Update a payment's reimbursement classification
curl --request PATCH \
--url https://payouts.api.trykarat.com/payments/{payment_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isReimbursement": true
}
'import requests
url = "https://payouts.api.trykarat.com/payments/{payment_id}"
payload = { "isReimbursement": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isReimbursement: true})
};
fetch('https://payouts.api.trykarat.com/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0fc50d45-faa8-4d09-aa2a-a9ceb282d7ae",
"isReimbursement": true
}
}{
"error": {
"message": "amount: amount must be positive"
}
}{
"error": {
"message": "Invalid api key"
}
}{
"error": {
"message": "Payment intent not found"
}
}Update a payment's reimbursement classification
Sets whether the payment is a reimbursement for tax reporting. Sending the currently stored value is idempotent. This update does not change payout processing, status, or fees.
PATCH
/
payments
/
{payment_id}
Update a payment's reimbursement classification
Authorizations
Pass your API key as a bearer token: Authorization: Bearer <API_KEY>.
Path Parameters
The ID of the payment intent to update.
Body
application/json
The tax-only reimbursement classification to store. null, strings, numbers, and other non-boolean values are rejected.
Response
The stored reimbursement classification. Repeating this request with the same value returns the same result without changing payout processing, status, or fees.
Show child attributes
Show child attributes